*! version 1.0.0 29apr2005 Ben Jann (ETH Zurich)
prog define estget, sortpreserve
	version 8.2
	syntax using [, id(varname) ]
	capt which estsave
	if _rc {
		di as error "-estsave- by Michael Blasnik required; type {stata ssc install estsave}"
		error 499
	}
	qui describe `using', varlist
	foreach var in `r(varlist)' {
		if substr("`var'",1,6) == "_ests_" {
			confirm new var `var'
			local vars "`vars'`var' "
		}
	}
	local vars: list retok vars
	if `"`vars'"'=="" {
		di as err "no estimates found in using file"
		exit 111
	}
	if "`id'"!="" local unique unique
	tempvar merge
	merge `id' `using', nolabel nonotes nokeep `unique' _merge(`merge')
	drop `merge'
	tempname hcurrent
	_est hold `hcurrent', restore estsystem nullok
	local i 0
	nobreak {
		foreach var of local vars {
			local name: subinstr local var "_ests_" ""
			qui replace `var' = 0 if `var'>=.
			qui estsave , from(`var') replace
			if "`name'"=="_active" {
				_est unhold `hcurrent', not
				tempname hcurrent
				_est hold `hcurrent', restore estsystem nullok
				local name "."
			}
			else est sto `name', title(`"`e(_estimates_title)'"')
			local names "`names'`name' "
		}
	}
	drop `vars'
	_est unhold `hcurrent'
	est dir `names'
end
