#delim ;
version 8.2;
*
 Example do-file 1.
 Generate resultsset for testing eclplot dialogs.
 This do-file requires the following SSC packages:
 somersd, parmest, sencode, eclplot
*;

clear;
set memory 1m;
set scheme s1mono;

* Create dataset for input to eclplot *;
sysuse auto, clear;
parmby "somersd foreign price mpg headroom trunk weight length turn displacement gear_ratio, tr(z)",
  label norestore stars(0.05 0.01 0.001)
  format(estimate min* max* %8.4g p %-8.2g stars %-3s);
sort estimate parmseq;
sencode label, gene(predictor);
foreach X of var estimate min* max* {;
  replace `X'=exp(2*`X');
  replace `X'=(`X'-1)/(`X'+1);
};
label variable predictor "Predictor of non-American origin";
label variable estimate "Somers' D";
sort predictor;
by predictor: assert _N==1;
keep predictor estimate min* max* p stars;
order predictor estimate min* max* p stars;
describe;

* Create the plot *;
eclplot estimate min95 max95 predictor,
  horizontal eplottype(scatter) rplottype(rcap)
  estopts( msize(vlarge) mcolor(black) sort )
  ciopts( blcolor(black) msize(vlarge) )
  xline( 0, lpattern(shortdash) style(default) )
  yscale(range(0 10)) ylabel(1(1)9, grid glcolor(gs13))
  xlabel(-1(0.25)1, grid glcolor(gs13));
more;

exit;
